# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.583   -> 1.584  
#	drivers/usb/Makefile	1.27    -> 1.28   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/21	greg@kroah.com	1.584
# [PATCH] USB Makefile bug fix
# 
# fixed problem with UHCI_HCD drivers set to 'y' were not causing the build
# to go into the drivers/usb/host directory.
# --------------------------------------------
#
diff -Nru a/drivers/usb/Makefile b/drivers/usb/Makefile
--- a/drivers/usb/Makefile	Tue May 21 15:31:15 2002
+++ b/drivers/usb/Makefile	Tue May 21 15:31:15 2002
@@ -9,16 +9,18 @@
 
 subdir-$(CONFIG_USB)		+= core
 
-subdir-$(CONFIG_USB_EHCI_HCD)	+= host
-subdir-$(CONFIG_USB_OHCI_HCD)	+= host
-subdir-$(CONFIG_USB_OHCI)	+= host
-subdir-$(CONFIG_USB_UHCI_ALT)	+= host
-subdir-$(CONFIG_USB_UHCI)	+= host
+subdir-$(CONFIG_USB_EHCI_HCD)		+= host
+subdir-$(CONFIG_USB_OHCI_HCD)		+= host
+subdir-$(CONFIG_USB_OHCI)		+= host
+subdir-$(CONFIG_USB_UHCI_ALT)		+= host
+subdir-$(CONFIG_USB_UHCI_HCD_ALT)	+= host
+subdir-$(CONFIG_USB_UHCI_HCD)		+= host
+subdir-$(CONFIG_USB_UHCI)		+= host
 
-subdir-$(CONFIG_USB_ACM)	+= class
-subdir-$(CONFIG_USB_AUDIO)	+= class
+subdir-$(CONFIG_USB_ACM)		+= class
+subdir-$(CONFIG_USB_AUDIO)		+= class
 subdir-$(CONFIG_USB_BLUETOOTH_TTY)	+= class
-subdir-$(CONFIG_USB_PRINTER)	+= class
+subdir-$(CONFIG_USB_PRINTER)		+= class
 
 subdir-$(CONFIG_USB_STORAGE)	+= storage
 
